using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ZXDT.DBUtility;
using System.Data.SqlClient;
using System.Data;

namespace ZXDT.CallCenter.DAL
{
    /// <summary>
    /// 数据访问类:T_Sys_IDCardInfo
    /// </summary>
    public partial class T_Sys_IDCardInfo
    {
        public T_Sys_IDCardInfo()
        { }
        #region  Method

        /// <summary>
        /// 得到最大ID
        /// </summary>
        public int GetMaxId()
        {
            return DbHelperSQL.GetMaxID("F_Id", "T_Sys_IDCardInfo");
        }

        /// <summary>
        /// 是否存在该记录
        /// </summary>
        public bool Exists(int F_Id)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select count(1) from T_Sys_IDCardInfo");
            strSql.Append(" where F_Id=@F_Id ");
            SqlParameter[] parameters = {
					new SqlParameter("@F_Id", SqlDbType.Int,4)			};
            parameters[0].Value = F_Id;

            return DbHelperSQL.Exists(strSql.ToString(), parameters);
        }


        /// <summary>
        /// 增加一条数据
        /// </summary>
        public bool Add(ZXDT.CallCenter.Model.T_Sys_IDCardInfo model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("insert into T_Sys_IDCardInfo(");
            strSql.Append("F_Id,F_Code,F_Value)");
            strSql.Append(" values (");
            strSql.Append("@F_Id,@F_Code,@F_Value)");
            SqlParameter[] parameters = {
					new SqlParameter("@F_Id", SqlDbType.Int,4),
					new SqlParameter("@F_Code", SqlDbType.NVarChar,50),
					new SqlParameter("@F_Value", SqlDbType.NVarChar,100)};
            parameters[0].Value = model.F_Id;
            parameters[1].Value = model.F_Code;
            parameters[2].Value = model.F_Value;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        /// <summary>
        /// 更新一条数据
        /// </summary>
        public bool Update(ZXDT.CallCenter.Model.T_Sys_IDCardInfo model)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("update T_Sys_IDCardInfo set ");
            strSql.Append("F_Code=@F_Code,");
            strSql.Append("F_Value=@F_Value");
            strSql.Append(" where F_Id=@F_Id ");
            SqlParameter[] parameters = {
					new SqlParameter("@F_Code", SqlDbType.NVarChar,50),
					new SqlParameter("@F_Value", SqlDbType.NVarChar,100),
					new SqlParameter("@F_Id", SqlDbType.Int,4)};
            parameters[0].Value = model.F_Code;
            parameters[1].Value = model.F_Value;
            parameters[2].Value = model.F_Id;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }

        /// <summary>
        /// 删除一条数据
        /// </summary>
        public bool Delete(int F_Id)
        {

            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from T_Sys_IDCardInfo ");
            strSql.Append(" where F_Id=@F_Id ");
            SqlParameter[] parameters = {
					new SqlParameter("@F_Id", SqlDbType.Int,4)			};
            parameters[0].Value = F_Id;

            int rows = DbHelperSQL.ExecuteSql(strSql.ToString(), parameters);
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }
        /// <summary>
        /// 批量删除数据
        /// </summary>
        public bool DeleteList(string F_Idlist)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("delete from T_Sys_IDCardInfo ");
            strSql.Append(" where F_Id in (" + F_Idlist + ")  ");
            int rows = DbHelperSQL.ExecuteSql(strSql.ToString());
            if (rows > 0)
            {
                return true;
            }
            else
            {
                return false;
            }
        }


        /// <summary>
        /// 得到一个对象实体
        /// </summary>
        public ZXDT.CallCenter.Model.T_Sys_IDCardInfo GetModel(int F_Id)
        {

            StringBuilder strSql = new StringBuilder();
            strSql.Append("select  top 1 F_Id,F_Code,F_Value from T_Sys_IDCardInfo ");
            strSql.Append(" where F_Id=@F_Id ");
            SqlParameter[] parameters = {
					new SqlParameter("@F_Id", SqlDbType.Int,4)			};
            parameters[0].Value = F_Id;

            ZXDT.CallCenter.Model.T_Sys_IDCardInfo model = new ZXDT.CallCenter.Model.T_Sys_IDCardInfo();
            DataSet ds = DbHelperSQL.Query(strSql.ToString(), parameters);
            if (ds.Tables[0].Rows.Count > 0)
            {
                if (ds.Tables[0].Rows[0]["F_Id"] != null && ds.Tables[0].Rows[0]["F_Id"].ToString() != "")
                {
                    model.F_Id = int.Parse(ds.Tables[0].Rows[0]["F_Id"].ToString());
                }
                if (ds.Tables[0].Rows[0]["F_Code"] != null && ds.Tables[0].Rows[0]["F_Code"].ToString() != "")
                {
                    model.F_Code = ds.Tables[0].Rows[0]["F_Code"].ToString();
                }
                if (ds.Tables[0].Rows[0]["F_Value"] != null && ds.Tables[0].Rows[0]["F_Value"].ToString() != "")
                {
                    model.F_Value = ds.Tables[0].Rows[0]["F_Value"].ToString();
                }
                return model;
            }
            else
            {
                return null;
            }
        }

        /// <summary>
        /// 获得数据列表
        /// </summary>
        public DataSet GetList(string strWhere)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select F_Id,F_Code,F_Value ");
            strSql.Append(" FROM T_Sys_IDCardInfo ");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            return DbHelperSQL.Query(strSql.ToString());
        }

        /// <summary>
        /// 获得前几行数据
        /// </summary>
        public DataSet GetList(int Top, string strWhere, string filedOrder)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select ");
            if (Top > 0)
            {
                strSql.Append(" top " + Top.ToString());
            }
            strSql.Append(" F_Id,F_Code,F_Value ");
            strSql.Append(" FROM T_Sys_IDCardInfo ");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            strSql.Append(" order by " + filedOrder);
            return DbHelperSQL.Query(strSql.ToString());
        }

        /// <summary>
        /// 获取记录总数
        /// </summary>
        public int GetRecordCount(string strWhere)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("select count(1) FROM T_Sys_IDCardInfo ");
            if (strWhere.Trim() != "")
            {
                strSql.Append(" where " + strWhere);
            }
            object obj = DbHelperSQL.GetSingle(strSql.ToString());
            if (obj == null)
            {
                return 0;
            }
            else
            {
                return Convert.ToInt32(obj);
            }
        }
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
        {
            StringBuilder strSql = new StringBuilder();
            strSql.Append("SELECT * FROM ( ");
            strSql.Append(" SELECT ROW_NUMBER() OVER (");
            if (!string.IsNullOrEmpty(orderby.Trim()))
            {
                strSql.Append("order by T." + orderby);
            }
            else
            {
                strSql.Append("order by T.F_Id desc");
            }
            strSql.Append(")AS Row, T.*  from T_Sys_IDCardInfo T ");
            if (!string.IsNullOrEmpty(strWhere.Trim()))
            {
                strSql.Append(" WHERE " + strWhere);
            }
            strSql.Append(" ) TT");
            strSql.AppendFormat(" WHERE TT.Row between {0} and {1}", startIndex, endIndex);
            return DbHelperSQL.Query(strSql.ToString());
        }

        /*
        /// <summary>
        /// 分页获取数据列表
        /// </summary>
        public DataSet GetList(int PageSize,int PageIndex,string strWhere)
        {
            SqlParameter[] parameters = {
                    new SqlParameter("@tblName", SqlDbType.VarChar, 255),
                    new SqlParameter("@fldName", SqlDbType.VarChar, 255),
                    new SqlParameter("@PageSize", SqlDbType.Int),
                    new SqlParameter("@PageIndex", SqlDbType.Int),
                    new SqlParameter("@IsReCount", SqlDbType.Bit),
                    new SqlParameter("@OrderType", SqlDbType.Bit),
                    new SqlParameter("@strWhere", SqlDbType.VarChar,1000),
                    };
            parameters[0].Value = "T_Sys_IDCardInfo";
            parameters[1].Value = "F_Id";
            parameters[2].Value = PageSize;
            parameters[3].Value = PageIndex;
            parameters[4].Value = 0;
            parameters[5].Value = 0;
            parameters[6].Value = strWhere;	
            return DbHelperSQL.RunProcedure("UP_GetRecordByPage",parameters,"ds");
        }*/

        #endregion  Method
    }
}

